Name: x11-driver-input-evdev
Version: 1.1.5
Release: %mkrel 2
Summary: X.org input driver for Linux generic event devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-evdev-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
Patch1: xf86-input-evdev-1.1.2-have-HWheelRelativeAxisButtons-7-6-by-default.patch
Patch2: xf86-input-evdev-1.1.2-skip-HWheelRelativeAxisButtons-even-if-unused.patch
Patch3: 0003-FixDuplicateArrayEntry-KeyPressedBitTests-XkbDefaults.patch

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
Evdev is an Xorg input driver for Linux's generic event devices.
It therefore supports all input devices that the kernel knows about,
including most mice and keyboards.

%prep
%setup -q -n xf86-input-evdev-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .DuplicateEntry-Bits-Kxb

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/evdev_drv.la
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.*




%changelog
* Wed Sep 19 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.1.5-2mdv2008.0
+ Revision: 91063
- Possible fix for Bugzilla #32905

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Wed Dec 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.5-1mdv2007.0
+ Revision: 100510
- new release
- new release

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.4-1mdv2007.1
+ Revision: 85917
- new release

* Wed Sep 13 2006 Pixel <pixel@mandriva.com> 1.1.2-7mdv2007.0
+ Revision: 60986
- the name of the evdev option is HWheelRelativeAxisButtons, not HWheelXAxisMapping
- allow setting HWheelRelativeAxisButtons in config file to tell evdev to skip those buttons. that way we can standardize on buttons 6&7 for horiz scroll, and 8&9 for thumb back/next

* Thu Aug 17 2006 Pixel <pixel@mandriva.com> 1.1.2-5mdv2007.0
+ Revision: 56465
- really apply have-HWheelRelativeAxisButtons-7-6-by-default patch

* Thu Aug 17 2006 Pixel <pixel@mandriva.com> 1.1.2-4mdv2007.0
+ Revision: 56460
- (minor) drop old source
- make the HWheel work under gtk & qt instead of being reversed
- add CVS fixes (from fedora)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group
    - fill in summary & descriptions for all input drivers

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

